summaryrefslogtreecommitdiffstats
path: root/desktop/xfce4-notes-plugin/xfce4-notes-plugin.SlackBuild
diff options
context:
space:
mode:
author Robby Workman2010-05-13 00:23:46 +0200
committer Michiel van Wessem2010-05-13 00:23:46 +0200
commit2be4ab61b16f4da126e8d755f3008184d1b12359 (patch)
tree29f9b2649119956030d627e17bfa58c5a1d6c44d /desktop/xfce4-notes-plugin/xfce4-notes-plugin.SlackBuild
parent2a8907fb347bf2c236e07bc3ba7ee01ce4c5024d (diff)
downloadslackbuilds-2be4ab61b16f4da126e8d755f3008184d1b12359.tar.gz
desktop/xfce4-notes-plugin: Updated for version 1.7.1
Diffstat (limited to 'desktop/xfce4-notes-plugin/xfce4-notes-plugin.SlackBuild')
-rw-r--r--desktop/xfce4-notes-plugin/xfce4-notes-plugin.SlackBuild23
1 files changed, 16 insertions, 7 deletions
diff --git a/desktop/xfce4-notes-plugin/xfce4-notes-plugin.SlackBuild b/desktop/xfce4-notes-plugin/xfce4-notes-plugin.SlackBuild
index 92b2ebe5ca..46ee99a73b 100644
--- a/desktop/xfce4-notes-plugin/xfce4-notes-plugin.SlackBuild
+++ b/desktop/xfce4-notes-plugin/xfce4-notes-plugin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xfce4-notes-plugin
-# Copyright 2006-2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2006-2009 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xfce4-notes-plugin
-VERSION=1.6.3
+VERSION=1.7.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -60,6 +63,8 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/xfce \
--enable-shared=yes \
--enable-static=no \
--enable-debug=no \
@@ -69,17 +74,21 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}